Subject: Re: [RFC/PATCHv3 4/5] gitweb: Starting work on a man page for /etc/gitweb.conf (WIP)

From: Jakub Narebski <[email-masked]>
Date: Tue, 7 Jun 2011 18:41:05 +0200

Quick reply; more detailed responses will follow.

On Tue, 7 Jun 2011, Drew Northup wrote:
> On Tue, 2011-06-07 at 08:44 -0500, Jonathan Nieder wrote:
>> Drew Northup wrote:
>>> On Mon, 2011-06-06 at 17:12 -0500, Jonathan Nieder wrote:
>>>> Jakub Narebski wrote:

>>>>> +The location of system-wide gitweb configuration file is defined at compile
>>>>> +time using the configuration value `GITWEB_CONFIG_SYSTEM` and defaults to
>>>>> +'/etc/gitweb.conf'.  The name of the per-instance configuration file is
>>>>> +defined in gitweb by `GITWEB_CONFIG`, and defaults to 'gitweb_config.perl'
>>>>> +(relative path means located in the same directory gitweb is installed).
>>>>
>>>> Maybe:
>>>>
>>>> 	In addition to the per-instance configuration file, there can
>>>> 	be a system-wide configuration file to act as a fallback when
>>>> 	the per-instance configuration file does not exist.
>>>>
>>>> 	The system-wide configuration file is named /etc/gitweb.conf
>>>> 	by default.  Filenames for the system-wide and per-instance
>>>> 	configuration variables can be overridden at compile time and
>>>> 	run time; see the FILES section for details.
>>>
>>> This is the manpage for the system wide configuration file. If you'd
>>> like to scrap this effort in favor of something else please speak up.
>> 
>> Huh?
> 
> If this is what you are proposing then we should be working on a
> "gitweb_config.perl" manpage and not a "gitweb.conf" manpage. I know a
> fair number of people around here put priority on the former and would
> just as soon ignore the latter. That's what your proposed change says to
> me (while I also understand that your own position is likely far more
> nuanced than that).

I think this manpage is about both system-wide and per-instance config
file, just like gitignore is about both in-tree .gitignore and private
$GIT_DIR/info/exclude, like gitattributes is about both in-tree 
.gitattributes and $GIT_DIR/info/attributes,... just like ssh_config
is about both system-wide ssh_config and per-user .ssh/config.

And like all of those manpages are named after one file, just like
this manpage.

Perhaps we could even symlink/hardlink gitweb_config.perl manpage
to gitweb.conf manpage...

P.S. I am sorry that I didn't state more clear that I modified Drew's
original submission, and didn't write in more detail what I have changed.
Some of mistakes are mine, not Drew...

-- 
Jakub Narebski
Poland